Subject: [bug#52109] Mention bsdcat, bsdcpio and bsdtar in description of libarchive

From: zimoun <[email-masked]>
Date: Mon, 23 Jan 2023 08:45:36 +0100

Hi Liliana,

On Sun, 22 Jan 2023 at 18:44, Liliana Marie Prikler <[email-masked]> wrote:

> Splitting libarchive outputs is sadly a core-updates change, but we
> could hide the existing one and add a user-facing one with the split if
> that's what you desire.  I don't think adding a package for just the
> tools has merits.

Well, I think the addition of a ’bin’ outputs would be the most
suitable, even if it is a core-updates change.

> This package/the 'bin' output also provides
> @itemize
> @item @command{bsdtar} and @command{bsdcpio} to pack/unpack archives
> like @command{tar} and @command{cpio} respectively, and
> @item @command{bsdcat} to concatenate files like @command{cat} does,
> while transparently unpacking archives.
> @end itemize

This table looks good to me.  Although Maxim pushed the v2 (which I find
already enough :-)), it could be included for the package containing a
’bin’ outputs directed to core-updates.  WDYT?

Cheers,
simon